* FAQ  * Rechercher  * @Gimlao  * Mumble
 * Connexion
Nous sommes actuellement le Sam 19 Août 2017 22:40:53
  Consulter les messages sans réponse
Consulter les sujets actifs



Publier un nouveau sujet Répondre au sujet  [ 5 message(s) ] 
Auteur Message
Message Publié : Ven 07 Août 2009 16:25:07    Sujet du message : [Aide] Installer le patch APNG sur libpng ?
Avatar de l’utilisateur
2 Super Étoiles du Temps

Message(s) : 2400
Inscription : 13 Avr 2005
Âge : 31
Localisation : Gard (30), France

Bonjour,

Je me bat depuis quelque jours avec Ubuntu et la libpng pour leur intégré le support du APNG. J'ai suivi les instructions indiqué sur LibPNG - CBLFS, comme on me l'a conseillé sur le forum Ubuntu-fr, mais le résultat est… Comment dire…
Une image vaut 1000 mots parait-il, alors voici :
Image ImageImage
Non seulement ça bouge pas, mais en plus c'est tout buggé.

Comme sur Ubuntu-fr.org ils ne parviennent pas à m'aider, et que je sais qu'il y a quelques geeks unixiens qui trainent ici, je me suis dit que d'avoir un regard nouveau sur le problème, ça pourrais aidé.

J'ai tenté avec plusieurs version de la lib, que j'associais au patch correspondant, toujours ce même bug.
L'installation de la lib non patché donne, en revanche, des PNG non buggé (mais, bien sur, non animés)

Voici ce que j'obtiens lord de la compilation, après application du patch.
• Code
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... /bin/mkdir -p
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking whether to enable maintainer-specific portions of Makefiles... no
checking for gcc... gcc
checking for C compiler default output file name... a.out
checking whether the C compiler works... yes
checking whether we are cross compiling... no
checking for suffix of executables...
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ISO C89... none needed
checking for style of include used by make... GNU
checking dependency style of gcc... gcc3
checking build system type... x86_64-unknown-linux-gnu
checking host system type... x86_64-unknown-linux-gnu
checking for a sed that does not truncate output... /bin/sed
checking for grep that handles long lines and -e... /bin/grep
checking for egrep... /bin/grep -E
checking for fgrep... /bin/grep -F
checking for ld used by gcc... /usr/bin/ld
checking if the linker (/usr/bin/ld) is GNU ld... yes
checking how to run the C preprocessor... gcc -E
checking for sed... /bin/sed
checking for a BSD-compatible install... /usr/bin/install -c
checking whether ln -s works... yes
checking whether make sets $(MAKE)... (cached) yes
checking for BSD- or MS-compatible name lister (nm)... /usr/bin/nm -B
checking the name lister (/usr/bin/nm -B) interface... BSD nm
checking the maximum length of command line arguments... 1572864
checking whether the shell understands some XSI constructs... yes
checking whether the shell understands "+="... yes
checking for /usr/bin/ld option to reload object files... -r
checking for objdump... objdump
checking how to recognize dependent libraries... pass_all
checking for ar... ar
checking for strip... strip
checking for ranlib... ranlib
checking command to parse /usr/bin/nm -B output from gcc object... ok
checking for ANSI C header files... yes
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking for dlfcn.h... yes
checking for objdir... .libs
checking if gcc supports -fno-rtti -fno-exceptions... no
checking for gcc option to produce PIC... -fPIC -DPIC
checking if gcc PIC flag -fPIC -DPIC works... yes
checking if gcc static flag -static works... yes
checking if gcc supports -c -o file.o... yes
checking if gcc supports -c -o file.o... (cached) yes
checking whether the gcc linker (/usr/bin/ld -m elf_x86_64) supports shared libraries... yes
checking whether -lc should be explicitly linked in... no
checking dynamic linker characteristics... GNU/Linux ld.so
checking how to hardcode library paths into programs... immediate
checking whether stripping libraries is possible... yes
checking if libtool supports shared libraries... yes
checking whether to build shared libraries... yes
checking whether to build static libraries... yes
checking for ANSI C header files... (cached) yes
checking malloc.h usability... yes
checking malloc.h presence... yes
checking for malloc.h... yes
checking for stdlib.h... (cached) yes
checking for string.h... (cached) yes
checking for strings.h... (cached) yes
checking for an ANSI C-conforming const... yes
checking for size_t... yes
checking whether struct tm is in sys/time.h or time.h... time.h
checking for working strtod... yes
checking for memset... yes
checking for pow... no
checking for pow in -lm... yes
checking for zlibVersion in -lz... yes
checking if assembler code in pnggccrd.c can be compiled without PNG_NO_MMX_CODE... yes
checking if libraries can be versioned... yes
checking for symbol prefix...
configure: pkgconfig directory is ${libdir}/pkgconfig
configure: creating ./config.status
config.status: creating Makefile
config.status: creating libpng.pc
config.status: creating libpng-config
config.status: creating config.h
config.status: executing depfiles commands
config.status: executing libtool commands


Liens vers la dernière version de la libpng et son patch :

Merci d'avance pour votre aide.

"La concurrence fait avancer le monde, pas les monopoles." Bigou
Image
Image
Haut
Profil  
Message Publié : Ven 07 Août 2009 16:45:58    Sujet du message : Re: [Aide] Installer le patch APNG sur libpng ?
Avatar de l’utilisateur
Membre d'Or

Message(s) : 7777778
Inscription : 05 Jan 2005
Âge : 27
Localisation : Jamais loin d'une décharge sauvage

Heu... Il y a quelque chose que je comprends pas. Tu as l'intention de faire quoi avec cette lib ? Tu l'utilises avec un programme en particulier qui requiert libpng avec le patch ou bien autre chose ?

Image
Haut
Profil  
Message Publié : Ven 07 Août 2009 16:58:47    Sujet du message : Re: [Aide] Installer le patch APNG sur libpng ?
Avatar de l’utilisateur
2 Super Étoiles du Temps

Message(s) : 2400
Inscription : 13 Avr 2005
Âge : 31
Localisation : Gard (30), France

C'est surtout que ça m'emmerde de devoir les ouvrir avec Firefox ou jAPNG pour avoir l'aperçu, en fait.
Et puis ça me donne l'occasion de faire autre chose que juste récupérer le package DEB (que ce soit via Synaptique ou sur GetDeb) pour installer.

Faudra d'ailleurs que l'on m'explique l'intérêt d'intégrer la lib aux logiciels alors qu'elle est déjà présente dans l'OS. Bon, pour Mozilla c'est un moyen de s'assurer du support du APNG dans Firefox. Mais d'autres le font aussi, bloquant toute possibilité de profiter des APNG. Je trouve ça un peu bête.

"La concurrence fait avancer le monde, pas les monopoles." Bigou
Image
Image
Haut
Profil  
Message Publié : Ven 07 Août 2009 19:23:59    Sujet du message : Re: [Aide] Installer le patch APNG sur libpng ?
Avatar de l’utilisateur
Membre d'Or

Message(s) : 7777778
Inscription : 05 Jan 2005
Âge : 27
Localisation : Jamais loin d'une décharge sauvage

• Bigou
C'est surtout que ça m'emmerde de devoir les ouvrir avec Firefox ou jAPNG pour avoir l'aperçu, en fait.

Mais le problème est là justement. Même si tu as la lib patchée, il n'y aucune visionneuse répandue qui en fait usage, parce que le APNG est rejeté en tant que standard. C'est un conflit non résolu entre développeurs des navigateurs - préférant l'APNG car proche du GIF animé dans sa conception - et développeurs des visionneuses, qui considèrent le MNG comme l'unique format de PNG animé.

Donc, à moins tu saches comment modifier une visionneuse (au hasard, celle d'ImageMagick), tu ne pourras visionner les APNG autrement que par Firefox ou Opera, qui intègrent directement la libpng patchée. C'est une situation absurde, mais c'est comme ça.

EDIT : Le patch est invalide, ce qui a a dû foirer la compilation de la lib et comme tu l'as installée, l'affichage des APNG est maintenant corrompu. Réinstalle la version d'Ubuntu.

Image
Haut
Profil  
Message Publié : Ven 07 Août 2009 22:30:39    Sujet du message : Re: [Aide] Installer le patch APNG sur libpng ?
Avatar de l’utilisateur
2 Super Étoiles du Temps

Message(s) : 2400
Inscription : 13 Avr 2005
Âge : 31
Localisation : Gard (30), France

• Try Again
Mais le problème est là justement. Même si tu as la lib patchée, il n'y aucune visionneuse répandue qui en fait usage, parce que le APNG est rejeté en tant que standard. C'est un conflit non résolu entre développeurs des navigateurs - préférant l'APNG car proche du GIF animé dans sa conception - et développeurs des visionneuses, qui considèrent le MNG comme l'unique format de PNG animé.
Donc, à moins tu saches comment modifier une visionneuse (au hasard, celle d'ImageMagick), tu ne pourras visionner les APNG autrement que par Firefox ou Opera, qui intègrent directement la libpng patchée. C'est une situation absurde, mais c'est comme ça.
Si je comprend que les instructions de la lib ne suffisent pas à permettre son édition, je ne vois pas pourquoi elles ne suiferais pas pour les voir.
D'ailleurs, le fait que j'ai un affichage buggé de mes APNG à la place d'un simple PNG fixe semble confirmer que l'affichage de requière nul code spécial du côté des visionneuses. (Les exemples ci-dessus viennent d'Epiphany-WebKit, mais c'est pareil sous la visionneuse d'image par défaut de gnome.)
Et puis il existe trois visionneuses qui supportent APNG :
  • KSquirrel, un visualiseur d'image pour KDE (GNU/Linux)
  • XnView, un visualiseur multimédia bien connu des plus vieux membres de l'ET6 (Il y a même un tuto dessus dans un coin du forum, si je me souviens bien)
  • Imagine, un visualiseur d'images & d'animations pour Windows
Sources : Applications that work with APNGs (animatedpng.com)

Après je trouve cette gué-guerre stupide.
  • D'un côté on a les créateurs du PNG et MNG qui refusent de modifier les specs de PNG, empêchant qui quiconque de créer un format dérivé d'animation du PNG, qui affiche un simple PNG en cas d'incompatibilité, y compris eux même.
  • De l'autre on a Mozilla et leurs sympathisants, qui ont crée le format APNG, qui est juste une transposition au PNG de ce qui existe déjà pour le GIF, (accompagné de quelques améliorations quand même) et pour le quel ils n'ont pas hésité à utiliser le type mime du PNG, qui indique pourtant clairement une image fixe, histoire de permettre l'affichage d'une image fixe en cas d'incompatibilité.
Ils serait tant que les 2 camps pensent aux utilisateurs, au lieux de ce faire la guerre !


• Try Again
Édit : Le patch est invalide, ce qui a a dû foirer la compilation de la lib et comme tu l'as installée, l'affichage des APNG est maintenant corrompu. Réinstalle la version d'Ubuntu.
Donc à moins de parvenir à récupérer la libpng de Mozilla, c'est mort. Dommage.
Sinon, dans la mesure où j'avais gardé une version non patché des sources de la lib, j'ai préféré compiler et installer cette version non patché. (En plus, comme ça elle est a jour. Je suis pas sur qu'il y ai un grand intérêt à cela, mais bon, à y être…)

"La concurrence fait avancer le monde, pas les monopoles." Bigou
Image
Image
Haut
Profil  
Afficher les messages publiés depuis :  Trier par  
Publier un nouveau sujet Répondre au sujet  [ 5 message(s) ] 

Le fuseau horaire est UTC+1 heure [Heure d’été]


Qui est en ligne ?

Utilisateur(s) parcourant ce forum : Aucun utilisateur inscrit et 1 invité


Vous ne pouvez pas publier de nouveaux sujets dans ce forum
Vous ne pouvez pas répondre aux sujets dans ce forum
Vous ne pouvez pas éditer vos messages dans ce forum
Vous ne pouvez pas supprimer vos messages dans ce forum

Recherche de :
Aller vers :  
cron
Space Pilot 3K template by Jakob Persson
Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
Traduction et support en françaisHébergement phpBB